Bug 207360 - mail/evolution: After upgrade to Gnome 3.18 Opening Edit-Preferences crashes
Summary: mail/evolution: After upgrade to Gnome 3.18 Opening Edit-Preferences crashes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords: crash, needs-qa, regression
Depends on:
Blocks:
 
Reported: 2016-02-19 19:49 UTC by lumiwa
Modified: 2016-03-01 08:47 UTC (History)
4 users (show)

See Also:
kwm: maintainer-feedback+
kwm: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lumiwa 2016-02-19 19:49:05 UTC
I upgrade GNOME 3.16 to 3.18 and I have a problem with Evolution 3.18.4. When I try to open Edit-.Preferences, Evolution crashed. There are no errors. If I start from Terminal I got:
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
Vector smash protection is enabled.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Segmentation fault (core dumped)

Thank you.
Comment 1 Martin Wilke freebsd_committer 2016-02-21 15:15:45 UTC
Over to gnome team
Comment 2 Martin Wilke freebsd_committer 2016-02-21 15:15:45 UTC
Over to gnome team
Comment 3 commit-hook freebsd_committer 2016-03-01 08:44:47 UTC
A commit references this bug:

Author: kwm
Date: Tue Mar  1 08:44:14 UTC 2016
New revision: 409854
URL: https://svnweb.freebsd.org/changeset/ports/409854

Log:
  Update e-d-s and evolution-ews to 3.18.5 and evolution to 3.18.5.1.

  Add patch to fix evolution crash when trying to open the preferences menu. [1]

  PR:		207360 [1]
  Reported by:	lumiwa@gmail.com [1]
  Obtained from:	evolution upstream [1]

Changes:
  head/databases/evolution-data-server/Makefile
  head/databases/evolution-data-server/distinfo
  head/mail/evolution/Makefile
  head/mail/evolution/distinfo
  head/mail/evolution/files/patch-mail_mail-config.ui
  head/mail/evolution-ews/Makefile
  head/mail/evolution-ews/distinfo
Comment 4 Koop Mast freebsd_committer 2016-03-01 08:47:28 UTC
Thanks for reporting, should be fixed now.